Package org.apache.storm.executor.spout

# Class SpoutExecutor

java.lang.Object
org.apache.storm.executor.Executor
org.apache.storm.executor.spout.SpoutExecutor

All Implemented Interfaces:
  `Callable`, `org.apache.storm.shade.org.jctools.queues.MessagePassingQueue.Consumer<Object>`, `JCQueue.Consumer`

public class SpoutExecutor extends Executor

- ## Field Summary

  ### Fields inherited from class org.apache.storm.executor.Executor

  `ackingEnabled, componentId, conf, credentials, executorId, executorTransfer, groupers, hasEventLoggers, hostname, idToTask, idToTaskBase, intervalToTaskToMetricToRegistry, isDebug, openOrPrepareWasCalled, pendingEmits, rand, receiveQueue, reportError, reportErrorDie, sampler, sharedExecutorData, stormActive, stormClusterState, stormComponentDebug, stormId, streamToComponentToGrouper, suicideFn, taskIds, taskToComponent, topoConf, type, workerData, workerReady, workerTopologyContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpoutExecutor(WorkerState workerData, List<Long> executorId, Map<String,String> credentials)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `acceptTupleAction(int taskId, TupleImpl tuple)`
  `void`
  `ackSpoutMsg(SpoutExecutor executor, Task taskData, Long timeDelta, TupleInfo tupleInfo)`
  `Callable<Long>`
  `call()`
  `void`
  `failSpoutMsg(SpoutExecutor executor, Task taskData, Long timeDelta, TupleInfo tupleInfo, String reason)`
  `int`
  `getSpoutRecvqCheckSkipCount()`
  `SpoutExecutorStats`
  `getStats()`
  `long`
  `getThreadId()`
  `void`
  `init(ArrayList<Task> idToTask, int idToTaskBase)`
  `void`
  `tupleActionFn(int taskId, TupleImpl tuple)`

  ### Methods inherited from class org.apache.storm.executor.Executor

  `accept, execute, flush, getComponentId, getExecutorId, getExecutorTransfer, getIntervalToTaskToMetricToRegistry, getIsDebug, getOpenOrPrepareWasCalled, getPendingEmits, getReceiveQueue, getReportError, getSharedExecutorData, getStormClusterState, getStormComponentDebug, getStormId, getStreamToComponentToGrouper, getTaskIds, getTopoConf, getType, getWorkerData, getWorkerTopologyContext, incrementReportedErrorCount, metricsTick, mkExecutor, publishFlushTuple, reflectNewLoadMapping, samplerCheck, setLocalExecutorTransfer, setNeedToRefreshCreds, setupMetrics, setupTicks, updateExecCredsIfRequired`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SpoutExecutor

    public SpoutExecutor(WorkerState workerData, List<Long> executorId, Map<String,String> credentials)

- ## Method Details

  - ### getStats

    public SpoutExecutorStats getStats()
    Specified by:
      `getStats` in class `Executor`

  - ### init

    public void init(ArrayList<Task> idToTask, int idToTaskBase) throws InterruptedException
    Throws:
      `InterruptedException`

  - ### call

    public Callable<Long> call() throws Exception
    Throws:
      `Exception`

  - ### acceptTupleAction

    protected void acceptTupleAction(int taskId, TupleImpl tuple)
    Overrides:
      `acceptTupleAction` in class `Executor`

  - ### tupleActionFn

    public void tupleActionFn(int taskId, TupleImpl tuple) throws Exception
    Specified by:
      `tupleActionFn` in class `Executor`
    Throws:
      `Exception`

  - ### ackSpoutMsg

    public void ackSpoutMsg(SpoutExecutor executor, Task taskData, Long timeDelta, TupleInfo tupleInfo)

  - ### failSpoutMsg

    public void failSpoutMsg(SpoutExecutor executor, Task taskData, Long timeDelta, TupleInfo tupleInfo, String reason)

  - ### getSpoutRecvqCheckSkipCount

    public int getSpoutRecvqCheckSkipCount()

  - ### getThreadId

    public long getThreadId()